VProtect Version 2.1.0.build 111030(2011-10.30)
[+]添加新的虚拟机自效验方案
[+]云授权系统支持对DLL授权的支持
[+]云授权服务端机器码锁定支持删除功能
[!]修正2003系统下授权系统无法加载对话框问题
[!]修正外壳引擎对共享区段的支持
[!]修正了c无法编译使用授权Api问题

VProtect Version 2.0.9.build 110918(2011-09.18)
[+]云授权添加短连接支持
[!]修正机器码锁定在绑定硬盘情况下不稳定问题
[!]修正虚拟机引擎对部分指令符号位扩展错误bug(thx 轩辕反馈)
[!]增强虚拟机引擎自效验强度(thx kissy)
[*]减少混淆代码提高执行效率

VProtect Version 2.0.8.build 110820(2011-08.20)
[+]云授权版本添加IP黑名单管理
[+]云授权版本在线列表添加按字段查找功能
[!]修正特殊情况下第一次加密文件效验不正常问题(thx 最硬的石头反馈)
[!]修正云授权服务端右键拉黑机器码功能无效问题
[*]改善了启动画面功能显示时间优化用户体验

VProtect Version 2.0.7.build 110724(2011-07.24)
[+]新加VM多出口技术
[+]云授权添加IP黑名单功能
[+]新输入表加密方案提高加密后程序执行效率
[!]更新云授权服务端用户界面
[!]修正虚拟机引擎对边界跳转处理错误问题 
[!]修正输入表处理Bug

VProtect Version 2.0.6.build 110702(2011-07.02)
[+]网络云授权系统公开试用
[+]添加数字签名不影响文件自校验
[+]提高导入表加密兼容性
[+]单机版注册机支持显示自定义值字段

VProtect Version 2.0.5.build 110618(2011-06.18)
[+]添加和网络云授权对接模块
[!]修正重定位分析崩溃bug
[!]优化大文件加密后执行效率

VProtect Version 2.0.4.build 110505(2011-05.05)
[!]修正部分函数机器码码长度识别错误问题
[!]修正授权窗口文本标签有背景问题

VProtect Version 2.0.3.build 110419(2011-04.19)
[+]更改授权系统对话框为资源方式方便自定义
[!]修正一个文件校验漏洞

VProtect Version 2.0.2.build 110329(2011-03.29)
[+]添加SDK对易语言黑月编译模式的支持
[!]修正DF标志位处理可能造成虚拟机引擎执行错误问题
[!]修正授权信息过期后提示信息不显示问题
[!]修正授权提示信息自定义不工作问题

VProtect Version 2.0.1.build 110304(2011-03.04)
[+]添加将授权文件保存到注册表选项
[!]更换注册解码算法
[!]修正虚拟机一个指令处理错误

VProtect Version 2.0.0.0(2011-02.24)
[+]更换全新的虚拟机加密引擎，提高强度,效率和兼容性。
[+]添加对手动指定代码加密开始结束位置的支持
[+]添加工程项目保存自定义函数加密信息
[+]添加对注册授权系统RSA密钥效验
[!]优化加密后程序体积和执行效率
[*]用户界面小幅调整

VProtect Version 1.9.3.0(2011-02.10)
[+]添加Dll补丁检测
[!]修正注册授权系统机器码锁定漏洞（需要重新导出注册机）
[!]修正IAT自校验冲突
[!]修正IAT加密对Vs库函数处理出错问题

VProtect Version 1.9.2.0(2011-01.14)
[!]修正一个虚拟机引擎标志位处理错误
[!]修正DLL文件加密后，动态卸载出错问题
[*]增强虚拟机自身效验

VProtect Version 1.9.1.0(2011-01.04)
[+]添加IAT代码效验
[+]添加新的授权API
[!]修正虚拟机检测在2008r2系统下兼容性问题
[!]修正主程序在2003服务器系统下运行出错问题
[!]修正启动界面显示关闭后，被加密程序窗口不在最前端问题
[!]修正外壳引擎对Vs编译器Debug模式编译生成的文件加密输入表出错问题
[*]增强VM引擎对部分浮点指令处理兼容性

VProtect Version 1.9.0.0(2010-12.23)
[!]修正机器码绑定对硬盘不敏感问题
[!]修正乱序引擎和输入表加密可能出现的兼容性问题
[!]修正输入表加密对Mov类型重定位处理BUG
[!]修正注册机API一个可能导致调用短崩溃问题

VProtect Version 1.8.9.0(2010-12.13)
[+]添加反调试器附加
[+]添加Map函数搜索功能
[!]修正虚拟机加密对浮点指令的兼容性
[!]修正一个文件效验效验漏洞

VProtect Version 1.8.8.0(2010-12.04)
[+]添加虚拟机关键代码校验功能
[+]添加新的输入表(IAT)加密方案
[+]添加保存MAP函数和导入功能（保存在工程文件中）

VProtect Version 1.8.7.0(2010-11.28)
[+]添加新的ANtiDump方案
[+]添加MAP分析对BC++程序支持
[!]修正启动密码效验漏洞
[*]增加加密后程序执行效率

VProtect Version 1.8.6.0(2010-11.20)
[+]添加选择硬件绑定项目功能
[!]修正一个Tls处理缺陷，可能导致部分DELPHI程序加密在WIN7/Vista系统下出错问题

VProtect Version 1.8.5.0(2010-11.04)
[+]添加Visual Basic加密SDK支持
[+]为虚拟机和乱序分别添加新的SDK加密标记
*VP_SDK_VIRTUALIZE_BEGIN
*VP_SDK_VIRTUALIZE_END
*VP_SDK_MUTATION_BEGIN
*VP_SDK_MUTATION_END
[!]修正一个不规则文件标记支持问题

VProtect Version 1.8.4.0(2010-10.25)
[!]增加输入表加密强度
[!]修正一处重定位数据处理缺陷
[!]修正一个由DEP导致的内存访问错误
[*]一些细节调整

VProtect Version 1.8.3.0(2010-10.10)
[+]添加新的反调试功能
[+]添加注册授权管理系统查找更新功能
[!]修正虚拟机和乱序引擎对部分分支识别错误问题
[!]修正在P4超线程单核超线程情况下机器码可能变化问题（会导致之前授权文件机器码错误，需要更新。）
[*]主程序界面和注册管理系统界面微调，更加人性化

VProtect Version 1.8.2.0(2010-10.01)
[+]添加反内存转储存（ANTI Dump）
[*]修改虚拟机（VM）加密引擎，提高强度
[!]修正一些特殊情况下资源处理BUG

VProtect Version 1.8.1.0((2010-09.24)
[+]添加命令行模式方便编译器自动化（旗舰版极其以上版本包含该功能）
[+]添加授权系统API VP_Sdk_GetCustomDword
[+]添加E语言授权API模块，和使用范例
[*]修正对一些编译器Debug模式编译出的程序兼容性问题

VProtect Version 1.8.0.0(2010-09.10)
[+]添加更新授权方案密匙功能
[+]添加对Typelib or Registry资源的特殊处理
[+]添加从MAP文件分析函数功能

VProtect Version 1.7.8(2010-09.03)
[+]添加文件完整性效验
[*]修正多网卡机器，机器码可能变换问题
[*]修正一个授权系统试用处理逻辑漏洞

VProtect Version 1.7.7(2010-08.27)
[+]添加硬件断点检测
[+]完善注册授权管理系统，添加多语言和一些管理功能
[-]移除一个可能导致兼容性问题的反调试方案
[*]修正添加启动画面图片文件存在中文名时无效问题
[*]修正主程序细节问题如：启用授权方案选择不显眼，选择非PE文件可能出错问题

VProtect Version 1.7.6(2010-08.15)
[+]新加设置程序启动界面功能
[!]修正VP_Sdk_CheckLisenceInMem 忽略注册解码SDK问题
[*]增加了加密后程序执行效率，和兼容性

VProtect Version 1.7.5(2010-08.06)
[+]新加内存授权数据检测API VP_Sdk_CheckLisenceInMem
[+]新加删除授权试用数据
[!]修正特殊情况下VM引擎标记位处理BUG
[*]修正一些不规则PE加密兼容性

VProtect Version 1.7.4(2010-07.29)
[+]添加区段融合功能
[!]修正在32位CPU模拟64位运算结果可能不正确的问题
[*]修正一个IAT填充BUG

VProtect Version 1.7.3(2010-07.24)
[!]修正一个资源处理BUG
[!]修正一个机器码获取安全性问题
（注意：会和之前版本获取的机器码不兼容，如果之前客户使用了机器码锁定则需要从新计算机器码。）
[*]增加乱序随机代码强度
[*]增强VM代码多线程安全性

VProtect Version 1.7.2(2010-07.17)
[+]添加资源加密功能
[!]修正一个IAT加密BUG
[*]优化乱序算法减小加密后程序体积

VProtect Version 1.7.1(2010-07.10)
[+]添加授权解码标记
[+]添加注册机API
[+]添加授权系统API和加密标记使用范例
[!]修正虚拟机处理逻辑错误
[!]修正加密选项处理错误
[!]修正VC程序浮点指令导致的R6002错误

VProtect Version 1.7.0(2010-07.04)
[+]添加注册授权系统
[+]添加检测虚拟机执行功能
[+]添加自定义消息提示功能
[*]增加虚拟机效验强度

VProtect Version 1.6.4(2010-06.15)
[*]继续增强IAT加密强度
[!]修正一个内存分配算法BUG(严重)
[!]修正一个E语言SDK找不到问题

VProtect Version 1.6.3(2010-06.07)
[*]修改输入表保存，加密，查找方案。提高了效率和强度减小了体积。
[*]修正一个DLL保护BUG

VProtect Version 1.6.2(2010-05.29)
[+]添加乱序加密引擎
[+]添加各个编译器乱序SDK
[*]增加输入表加密强度
[!]使用新的软件界面

VProtect Version 1.5.1(2010-05.21)
[+]添加压缩文件功能
[+添加IAT加密功能
[+]添加反调试，资源效验等功能
[+]添加易语言SDK
[!]修复反汇编引擎处理Rox,Shx指令BUG
[*]一些其他修改

VProtect Version 0.5.07(2010-05.07)
[+]添加NEG指令处理。
[!]修复源操作数是内存地址时，标志位处理不正确问题。
[!]修复处理Pushad,Popad,Xchg指令Bug。

VProtect Version 0.5.03(2010-05.03)
[+]新加重定位处理选择。
[+]添加C++和Delphi编译器SDK使用范例。
[!]重新处理进入Vm指令。
[!]修正*.exe文件重定位处理的错误。
[!]修正Sbb指令CF标记位处理的错误。

VProtect Version 0.4.29(2010-04-29)
[!]重新编写重定位处理模块,解决VM指令被重定位后数据覆盖问题。
[!]修正 Shx,RoX 指令处理BUG。
[+]添加Leave,Xchg指令支持。
[+]添加驱动设备程序(*.Sys)支持。
[+]添加多国语言

VProtect Version 0.4.2.4(2010-04-24)
[!]修正一个标志位处理问题
[!]修正UI窗口错位问题
[+]合并壳区段至最后一个区段（隐藏壳区段）
[+]反调试功能(稳定)
[+]支持文件拖放操作
[+]添加BCB编译器SDK文件
[*]VM入口调用指令随机排序

Version 0.4.0.0(2010-04-20)
[X]发布第一个版本

[Chinese]
[!]Bug修复
[*]功能加强
[+]增加功能
[-]移除功能
